import 'package:flutter/material.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/pages/pets_page/pets_page_widget.dart';

class PetsPageModel extends FlutterFlowModel<PetsPageWidget> {
  late final TabController tabBarController;
  int get tabBarCurrentIndex =>
      tabBarController != null ? tabBarController!.index : 0;

  @override
  void dispose() {
    tabBarController?.dispose();
  }

  @override
  void initState(BuildContext context) {
    tabBarController = TabController(
      vsync: Navigator.of(context),
      length: 2,
    );
  }
}
